{ buildApp, nextcloudVersion }:
let
  cookbook_0_10_2 = buildApp rec {
    appName = "cookbook";
    version = "0.10.2";
    url = "https://github.com/nextcloud/${appName}/releases/download/v${version}/Cookbook-${version}.tar.gz";
    sha256 = "sha256-H7KVeISBnu0/4Q31ihhiXvRtkXz4yLGOAsAj5ERgeCM=";
  };
  versions = {
    "25" = cookbook_0_10_2;
    "26" = cookbook_0_10_2;
    "27" = cookbook_0_10_2;
  };
in
  versions."${builtins.toString nextcloudVersion}" or (throw "Unsupported version for nextcloud app cookbook")
