{ buildApp, nextcloudVersion }:
let
  maps_1_1_0 = buildApp rec {
    appName = "maps";
    version = "1.1.0";
    url = "https://github.com/nextcloud/maps/releases/download/v${version}/${appName}-${version}.tar.gz";
    sha256 = "sha256-Me/V+9wXZyq3UEVx9Nqim6pfPFJaALjKv9f7iUjill8=";
  };
  versions = {
    "25" = maps_1_1_0;
    "26" = maps_1_1_0;
    "27" = maps_1_1_0;
  };
in
  versions."${builtins.toString nextcloudVersion}" or (throw "Unsupported version for nextcloud app maps")
