{ buildApp, nextcloudVersion }:
let
  metadata_0_19_0 = buildApp rec {
    appName = "metadata";
    version = "0.19.0";
    url = "https://github.com/gino0631/nextcloud-metadata/releases/download/v${version}/${appName}.tar.gz";
    sha256 = "sha256-XfFxCwRFO0WnBPU4CIejNXySRQdguvzauu62bzUKD44=";
  };
  versions = {
    "25" = metadata_0_19_0;
    "26" = metadata_0_19_0;
    "27" = metadata_0_19_0;
  };
in
  versions."${builtins.toString nextcloudVersion}" or (throw "Unsupported version for nextcloud app metadata")
