{ buildApp, nextcloudVersion }:
let
  polls_5_2_0 = buildApp rec {
    appName = "polls";
    version = "5.2.0";
    url = "https://github.com/nextcloud/polls/releases/download/v${version}/${appName}.tar.gz";
    sha256 = "sha256-45YNcSeFG9v3mfk7eLbDiy6hFgmfePY0j86JiVS0k14=";
  };
  versions = {
    "25" = polls_5_2_0;
    "26" = polls_5_2_0;
    "27" = polls_5_2_0;
  };
in
  versions."${builtins.toString nextcloudVersion}" or (throw "Unsupported version for nextcloud app polls")
