{ buildApp, nextcloudVersion }:
let
  tasks_0_15_0 = buildApp rec {
    appName = "tasks";
    version = "0.15.0";
    url = "https://github.com/nextcloud/${appName}/releases/download/v${version}/${appName}.tar.gz";
    sha256 = "sha256-nizJUFByK78FZ6KPJ4zfOU5Z9ClAxhwgQ7d+X5TGnM8=";
  };
  versions = {
    "25" = tasks_0_15_0;
    "26" = tasks_0_15_0;
    "27" = tasks_0_15_0;
  };
in
  versions."${builtins.toString nextcloudVersion}" or (throw "Unsupported version for nextcloud app tasks")
