{ varDir ? "/var/lib/rompr", stdenv, fetchFromGitHub }:
stdenv.mkDerivation ({
  pname = "rompr";
  version = "1.24";
  src = fetchFromGitHub {
    owner = "fatg3erman";
    repo = "RompR";
    rev = "0d8f597027ac71b320963fe3f33f461a136312ad";
    sha256 = "13p3c4whhmvz1vvh9fva5gdx4xji288k108hjdi8b1yn506lzix2";
    fetchSubmodules = true;
  };
  installPhase = ''
        cp -a . $out
        ln -sf ${varDir}/prefs $out/prefs
        ln -sf ${varDir}/albumart $out/albumart
  '';
})
