{ stdenv, fetchFromGitHub }:
stdenv.mkDerivation (rec {
  pname = "yourls-ldap-plugin";
  version = "2a3cb03-master";
  src = fetchFromGitHub {
    owner = "k3a";
    repo = "yourls-ldap-plugin";
    rev = "2a3cb0334b8a6b81b284a7196e614bbd2b2b1615";
    sha256 = "0cchbnli77d295lzf7kjmn4dcxj2bmdqa9qc3f8l8qgmp4n5n0gh";
    fetchSubmodules = true;
  };
  installPhase = ''
    mkdir -p $out
    cp plugin.php $out
    '';
  passthru.pluginName = "ldap";
})
