{ buildApp, nextcloudVersion }:
let
  calendar_4_4_4 = buildApp rec {
    appName = "calendar";
    version = "4.4.4";
    url = "https://github.com/nextcloud-releases/${appName}/releases/download/v${version}/${appName}-v${version}.tar.gz";
    sha256 = "sha256-8UeHOpgbUf2oHHOvLN58v68QvyDYQXkSjsVKn6UGrGU=";
  };
  versions = {
    "25" = calendar_4_4_4;
    "26" = calendar_4_4_4;
    "27" = calendar_4_4_4;
  };
in
  versions."${builtins.toString nextcloudVersion}" or (throw "Unsupported version for nextcloud app calendar")
