{ buildApp, nextcloudVersion }:
let
  contacts_5_3_2 = buildApp rec {
    appName = "contacts";
    version = "5.3.2";
    url = "https://github.com/nextcloud-releases/${appName}/releases/download/v${version}/${appName}-v${version}.tar.gz";
    sha256 = "sha256-1jQ+pyLBPU7I4wSPkmezJq7ukrQh8WPErG4J6Ps3LR4=";
  };
  versions = {
    "25" = contacts_5_3_2;
    "26" = contacts_5_3_2;
    "27" = contacts_5_3_2;
  };
in
  versions."${builtins.toString nextcloudVersion}" or (throw "Unsupported version for nextcloud app contacts")
