{ buildApp, nextcloudVersion }:
let
  files_mindmap_0_0_28 = buildApp rec {
    appName = "files_mindmap";
    version = "0.0.28";
    url = "https://github.com/ACTom/${appName}/releases/download/v${version}/${appName}-${version}.tar.gz";
    sha256 = "sha256-VlzqstlsdinaqkbK32NvS1oFoQcFasJGHSlcKxdQwIM=";
  };
  versions = {
    "25" = files_mindmap_0_0_28;
    "26" = files_mindmap_0_0_28;
    "27" = files_mindmap_0_0_28;
  };
in
  versions."${builtins.toString nextcloudVersion}" or (throw "Unsupported version for nextcloud app files_mindmap")
