{ buildApp, nextcloudVersion }:
let
  files_readmemd_2_0_0 = buildApp rec {
    appName = "files_readmemd";
    version = "2.0.0";
    url = "https://github.com/mamatt/files_readmemd/releases/download/V${version}/${appName}.tar.gz";
    sha256 = "sha256-vUoSK+b4gj51eJcocrXINO/eFKPRZQoj0q6l0gVBqgw=";
  };
  versions = {
    "25" = files_readmemd_2_0_0;
    "26" = files_readmemd_2_0_0;
  };
in
  versions."${builtins.toString nextcloudVersion}" or (throw "Unsupported version for nextcloud app files_readmemd")
