{ buildApp, nextcloudVersion }:
let
   integration_dropbox_2_0_1 = buildApp rec {
    appName = "integration_dropbox";
    version = "2.0.1";
    url = "https://github.com/nextcloud-releases/${appName}/releases/download/v${version}/${appName}-v${version}.tar.gz";
    sha256 = "sha256-RPCd8+/yKNlIGfEU+ITS8DBIxJDfc//8MGHaIjfYxdQ=";
  };
  versions = {
    "27" = integration_dropbox_2_0_1;
  };
in
  versions."${builtins.toString nextcloudVersion}" or (throw "Unsupported version for nextcloud app integration_dropbox")
