{ buildApp, nextcloudVersion }:
let
  music_1_8_4 = buildApp rec {
    appName = "music";
    version = "1.8.4";
    url = "https://github.com/owncloud/music/releases/download/v${version}/${appName}_${version}_for_nextcloud.tar.gz";
    sha256 = "sha256-WWXMpOyTRxykAVeUj/h6QP5ENqaMvTcPIqPQjhY68KA=";
  };
  versions = {
    "25" = music_1_8_4;
    "26" = music_1_8_4;
    "27" = music_1_8_4;
  };
in
  versions."${builtins.toString nextcloudVersion}" or (throw "Unsupported version for nextcloud app music")
