{ buildApp, nextcloudVersion }:
let
  notes_4_8_1 = buildApp rec {
    appName = "notes";
    version = "4.8.1";
    url = "https://github.com/nextcloud/${appName}/releases/download/v${version}/${appName}.tar.gz";
    sha256 = "sha256-BfH1W+7TWKZRuAAhKQEQtlv8ePTtJQvZQVMMu3zULR4=";
  };
  versions = {
    "25" = notes_4_8_1;
    "26" = notes_4_8_1;
    "27" = notes_4_8_1;
  };
in
  versions."${builtins.toString nextcloudVersion}" or (throw "Unsupported version for nextcloud app notes")
